Subject: GNU-Win32 : gettimeofday
From: [email-masked] (Lim Chu Cheow)

29 May 1997 14:36:25 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (Win95; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

Hi,
I just installed b18, and compiled a simple program 
(given below).  Compilation went through, but the 
execution received some exception and died.  Am I 
missing something?  Thanks in advance for any advice.

============
#include <stdio.h>
#include <sys/time.h>

void main(void)
{
  struct timeval tp;

  fprintf(stdout,"Hello world!!\n");
  gettimeofday(&tp);
  fprintf(stdout,"Current time = %lf s\n", 
	  ((double)tp.tv_sec+tp.tv_usec*1.0e-6));
}

==============
- Chu-Cheow
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".